<?php
function getCommentList($gallery,$imageID){
    $title = "Comments";

    if($gallery == ''){
      $out = 'Gallery System Error';
    } else if($imageID==''){
      $out = 'Comment List error.';
    } else {
      $list = $gallery->getCommentList($imageID);
      if(is_array($list)){
        foreach($list as $id=>$comment){
          $out .= 
                  '<b>Comment by: </b>'.
		  (($comment->authorEmail)?'<a href="mailto:'.$comment->authorEmail.'">'.$comment->author.'</a>':$comment->author).
		  '<br>'.
		  '<b>Subject: </b>'.$comment->commentSubject.'<br>'.
		  $comment->comment.'<br>'.
                  '<p>';
        }
      } else {
	$out = "No comments yet for this image.";
      }
    }

    return array($title,$out);
}
?>
