CREATE TABLE tblImages (
  id int(11) unsigned NOT NULL auto_increment,
  name varchar(255) default NULL,
  filename varchar(255) default NULL,
  caption text,
  image longblob,
  thumb longblob,
  width int(10) unsigned default NULL,
  height int(10) unsigned default NULL,
  gallery int(3) unsigned default NULL,
  orderby int(10) unsigned default NULL,
  PRIMARY KEY  (id),
  UNIQUE KEY id (id),
  KEY id_2 (id)
) TYPE=MyISAM;

CREATE TABLE tblImageComments (
  id int(11) unsigned NOT NULL auto_increment,
  idImage int(11) unsigned NOT NULL default '0',
  comment text,
  commentTime timestamp(14) NOT NULL,
  commentSubject varchar(255) default NULL,
  author varchar(255) default NULL,
  authorEmail varchar(255) default NULL,
  authorIP varchar(15) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

CREATE TABLE tblGalleries (
  id int(3) unsigned NOT NULL auto_increment,
  name varchar(255) default NULL,
  description text,
  PRIMARY KEY  (id),
  UNIQUE KEY id (id),
  KEY id_2 (id)
) TYPE=MyISAM;
